function T = armitage_doll_two_stage(lambda1, lambda2)
% Simulate one realization of the Armitage-Doll model of carcinogenesis
% with parameters lambda1 and lambda2

% Returns the time to time for the cell to move from healthy status (E0) to
% malignancy (E2)

T = exprnd(1/lambda1) + exprnd(1/lambda2);

end

